APIs / Booking.com / Rooms
Booking.com: Rooms
Rooms from Booking.com as JSON. 1 credit per successful call.
GET /v1/booking/rooms
Parameters
Send parameters in the query string.
| Parameter | Type | Required | Allowed values |
|---|---|---|---|
url | string | Optional | Up to 4,096 characters |
country | string | Optional | Up to 2 characters |
slug | string | Optional | Up to 255 characters |
checkin | string | Optional | Any |
checkout | string | Optional | Any |
group_adults | integer | Optional | Any |
group_children | integer | Optional | Any |
no_rooms | integer | Optional | Any |
lang | string | Optional | Up to 10 characters |
currency | string | Optional | Up to 3 characters |
Example request
curl "https://api.perceptlayer.com/v1/booking/rooms?country=fr&slug=muguet&checkin=2026-07-04&checkout=2026-07-06&group_adults=2" \
-H "X-API-Key: $API_KEY"Run this endpoint in the playground with your own parameters. 1 credit per successful call; failed calls are free.